CREATE VIEW ofb_12 AS 

SELECT 

// Insert constant columns here 
expver@desc as expver, 
class@desc as class, 
stream@desc as stream, 
type@desc as type, 
andate@desc as andate, 
antime@desc as antime, 
reportype@hdr as reportype, 
numtsl@desc, 
mxup_traj@desc, 

// Insert hdr-aligned columns here 
date@hdr, 
rdbdate@hdr, 
lsm@modsurf, 
seaice@modsurf, 
restricted@hdr, 
timeslot@timeslot_index, 
seqno@hdr, 
groupid@hdr, 
sensor@hdr, 
time@hdr, 
rdbtime@hdr, 
degrees(lat@hdr) as lat@hdr, 
degrees(lon@hdr) as lon@hdr, 
obstype@hdr, 
codetype@hdr, 
subtype@hdr, 
report_status@hdr, 
report_event1@hdr, 
report_rdbflag@hdr, 
satellite_identifier@sat, 
satellite_instrument@sat, 
solar_zenith@sat, 
zenith@sat, 
azimuth@sat, 
scanline@radiance, 
scanpos@radiance, 
cldptop_2@radiance, 
cldne_2@radiance, 
skintemp_1@radiance, 
skintemp_2@radiance, 
skintemp_3@radiance, 
skintemp_4@radiance, 
skintemper@radiance, 
avhrr_mean_ir@collocated_imager_information, 
avhrr_stddev_ir@collocated_imager_information, 
avhrr_num_clusters@collocated_imager_information, 
avhrr_mean_vis@collocated_imager_information, 
avhrr_stddev_vis@collocated_imager_information, 
avhrr_max_cluster@collocated_imager_information, 
avhrr_coldest_cluster_ir@collocated_imager_information, 
avhrr_warmest_cluster_ir@collocated_imager_information, 
avhrr_largest_cluster_ir@collocated_imager_information, 
bufrtype@hdr, 
tsfc@modsurf, 

// Insert body-aligned columns here 
entryno@body, 
vertco_reference_1@body, 
emis_fg@radiance_body, 
tausfc@radiance_body, 
obsvalue@body, 
varno@body, 
vertco_type@body, 
datum_status@body, 
datum_event1@body, 
datum_anflag@body, 
qc_pge@body, 
biascorr@body, 
biascorr_fg@body, 
final_obs_error@errstat, 
obs_error@errstat, 
fg_error@errstat, 
an_depar@body, 
fg_depar@body, 
jacobian_peak@body, 
jacobian_peakl@body, 
jacobian_hpeak@body, 
jacobian_hpeakl@body, 
datum_status_hires@update_1, 
vertco_reference_2@body, 
an_sens_obs@body, 
fc_sens_obs@body, 
datum_rdbflag@body, 
eda_spread@errstat, 
hires@update_2

WHERE groupid@hdr == 12 ;
