CREATE VIEW ofb_56 AS 

SELECT 

// Insert constant columns here 
expver@desc as expver, 
class@desc as class, 
stream@desc as stream, 
type@desc as type, 
andate@desc as andate, 
antime@desc as antime, 
reportype@hdr as reportype, 
mxup_traj@desc, 
numtsl@desc, 

// Insert hdr-aligned columns here 
date@hdr, 
rdbdate@hdr, 
lsm@modsurf, 
seaice@modsurf, 
restricted@hdr, 
timeslot@timeslot_index, 
seqno@hdr, 
bufrtype@hdr, 
subtype@hdr, 
groupid@hdr, 
obstype@hdr, 
codetype@hdr, 
sensor@hdr, 
time@hdr, 
rdbtime@hdr, 
report_status@hdr, 
report_event1@hdr, 
report_rdbflag@hdr, 
degrees(lat@hdr) as lat@hdr, 
degrees(lon@hdr) as lon@hdr, 
satellite_identifier@sat, 
satellite_instrument@sat, 
solar_zenith@sat, 
zenith@sat, 
azimuth@sat, 
gen_centre@sat, 
gen_subcentre@sat, 
datastream@sat, 
orography@modsurf, 
windspeed10m@modsurf, 
tsfc@modsurf, 
scanline@radiance, 
scanpos@radiance, 
skintemp_1@radiance, 
skintemp_2@radiance, 
skintemp_3@radiance, 
skintemp_4@radiance, 
skintemper@radiance, 
scatterindex_89_157@radiance, 
scatterindex_23_89@radiance, 
scatterindex_23_165@radiance, 
lwp_obs@radiance, 

// Insert body-aligned columns here 
emis_rtin@radiance_body, 
emis_atlas@radiance_body, 
emis_atlas_error@radiance_body, 
emis_retr@radiance_body, 
emis_fg@radiance_body, 
skintemp_retr@radiance_body, 
entryno@body, 
vertco_reference_1@body, 
tausfc@radiance_body, 
obsvalue@body, 
varno@body, 
vertco_type@body, 
datum_anflag@body, 
datum_status@body, 
datum_event1@body, 
datum_rdbflag@body, 
biascorr@body, 
biascorr_fg@body, 
an_depar@body, 
fg_depar@body, 
qc_pge@body, 
datum_status_hires@update_1, 
obs_error@errstat, 
final_obs_error@errstat, 
fg_error@errstat, 
eda_spread@errstat, 
hires@update_2, 
channel_qc@radiance_body, 
fc_sens_obs@body, 
an_sens_obs@body

WHERE groupid@hdr == 56 ;
