CREATE VIEW ofb_6 AS 

SELECT 

// Insert constant columns here 
expver@desc as expver, 
class@desc as class, 
stream@desc as stream, 
type@desc as type, 
andate@desc as andate, 
antime@desc as antime, 
reportype@hdr as reportype, 
numtsl@desc, 
mxup_traj@desc, 

// Insert hdr-aligned columns here 
date@hdr, 
rdbdate@hdr, 
restricted@hdr, 
timeslot@timeslot_index, 
seqno@hdr, 
groupid@hdr, 
time@hdr, 
rdbtime@hdr, 
report_status@hdr, 
report_event1@hdr, 
report_rdbflag@hdr, 
degrees(lat@hdr) as lat@hdr, 
degrees(lon@hdr) as lon@hdr, 
obstype@hdr, 
sensor@hdr, 
subtype@hdr, 
satellite_instrument@sat, 
satellite_identifier@sat, 
instrument_type@resat, 
product_type@resat, 
lat_fovcorner_1@resat, 
lat_fovcorner_2@resat, 
lat_fovcorner_3@resat, 
lat_fovcorner_4@resat, 
lon_fovcorner_1@resat, 
lon_fovcorner_2@resat, 
lon_fovcorner_3@resat, 
lon_fovcorner_4@resat, 
solar_elevation@resat, 
scanpos@resat, 
cloud_cover@resat, 
cloud_top_press@resat, 
quality_retrieval@resat, 
number_layers@resat, 
snow_ice_indicator@resat, 
surface_type_indicator@resat, 
methane_correction@resat, 
surface_height@resat, 
retrsource@resat, 
codetype@hdr, 
bufrtype@hdr, 

// Insert body-aligned columns here 
entryno@body, 
vertco_reference_1@body, 
obsvalue@body, 
varno@body, 
vertco_type@body, 
vertco_reference_2@body, 
datum_status@body, 
datum_event1@body, 
datum_anflag@body, 
biascorr@body, 
biascorr_fg@body, 
an_depar@body, 
fg_depar@body, 
datum_status_hires@update_1, 
obs_error@errstat, 
final_obs_error@errstat, 
qc_pge@body, 
fg_error@errstat, 
an_sens_obs@body, 
fc_sens_obs@body, 
datum_rdbflag@body, 
hires@update_2

WHERE groupid@hdr == 6 ;
